Bug 1565122 - security group tests failed testtools.matchers._impl.MismatchError: [u'compute-1.localdomain'] matches Contains(u'compute-1.localdomain'): Failed to boot servers on different Compute nodes.
Summary: security group tests failed testtools.matchers._impl.MismatchError: [u'comput...
Keywords:
Status: CLOSED DUPLICATE of bug 1566148
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: Jakub Libosvar
QA Contact: Toni Freger
URL:
Whiteboard:
Depends On:
Blocks: 1565532 1565533
TreeView+ depends on / blocked
 
Reported: 2018-04-09 12:44 UTC by Eran Kuris
Modified: 2019-09-09 16:45 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1565532 (view as bug list)
Environment:
Last Closed: 2018-04-18 13:49:17 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Eran Kuris 2018-04-09 12:44:27 UTC
Description of problem: those tests failed in ovn CI run:
 tempest.scenario.test_security_groups_basic_ops.TestSecurityGroupsBasicOps.test_boot_into_disabled_port_security_network_without_secgroup

tempest.scenario.test_security_groups_basic_ops.TestSecurityGroupsBasicOps.test_in_tenant_traffic
        Body: 
2018-04-07 05:34:35,302 31472 INFO     [tempest.lib.common.rest_client] Request (TestSecurityGroupsBasicOps:_run_cleanups): 202 DELETE http://10.0.0.108:8774/v2.1/os-keypairs/tempest-TestSecurityGroupsBasicOps-2108247683 0.030s
2018-04-07 05:34:35,303 31472 DEBUG    [tempest.lib.common.rest_client] Request - Headers: {'Content-Type': 'application/json', 'Accept': 'application/json', 'X-Auth-Token': '<omitted>'}
        Body: None
    Response - Headers: {'status': '202', u'content-length': '0', 'content-location': 'http://10.0.0.108:8774/v2.1/os-keypairs/tempest-TestSecurityGroupsBasicOps-2108247683', u'x-compute-request-id': 'req-6def8d6c-8e24-443e-ad16-7aafbc128273', u'vary': 'OpenStack-API-Version,X-OpenStack-Nova-API-Version', u'server': 'Apache', u'openstack-api-version': 'compute 2.1', u'connection': 'close', u'x-openstack-nova-api-version': '2.1', u'date': 'Sat, 07 Apr 2018 09:34:35 GMT', u'content-type': 'application/json', u'x-openstack-request-id': 'req-6def8d6c-8e24-443e-ad16-7aafbc128273'}
        Body:
}}}

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/tempest/common/utils/__init__.py", line 108, in wrapper
    return func(*func_args, **func_kwargs)
  File "/usr/lib/python2.7/site-packages/tempest/common/utils/__init__.py", line 89, in wrapper
    return f(self, *func_args, **func_kwargs)
  File "/usr/lib/python2.7/site-packages/tempest/scenario/test_security_groups_basic_ops.py", line 651, in test_boot_into_disabled_port_security_network_without_secgroup
    server = self._create_server(name, tenant, sec_groups)
  File "/usr/lib/python2.7/site-packages/tempest/scenario/test_security_groups_basic_ops.py", line 291, in _create_server
    message="Failed to boot servers on different "
  File "/usr/lib/python2.7/site-packages/testtools/testcase.py", line 394, in assertNotIn
    self.assertThat(haystack, matcher, message)
  File "/usr/lib/python2.7/site-packages/testtools/testcase.py", line 435, in assertThat
    raise mismatch_error
testtools.matchers._impl.MismatchError: [u'compute-1.localdomain'] matches Contains(u'compute-1.localdomain'): Failed to boot servers on different Compute nodes.

Version-Release number of selected component (if applicable):
osp13 ha ovn puddle 2018-04-03.3[

2018-04-03.3[stack@undercloud-0 ~]$ rpm -qa | grep nova 
openstack-nova-common-17.0.2-0.20180323024604.0390d5f.el7ost.noarch
openstack-nova-placement-api-17.0.2-0.20180323024604.0390d5f.el7ost.noarch
puppet-nova-12.3.1-0.20180319062741.9db79a6.el7ost.noarch
openstack-nova-compute-17.0.2-0.20180323024604.0390d5f.el7ost.noarch
openstack-nova-scheduler-17.0.2-0.20180323024604.0390d5f.el7ost.noarch
python-nova-17.0.2-0.20180323024604.0390d5f.el7ost.noarch
python-novaclient-9.1.1-1.el7ost.noarch
openstack-nova-api-17.0.2-0.20180323024604.0390d5f.el7ost.noarch
openstack-nova-conductor-17.0.2-0.20180323024604.0390d5f.el7ost.noarch
[stack@undercloud-0 ~]$ rpm -qa | grep ovn 
puppet-ovn-12.3.1-0.20180221062110.4b16f7c.el7ost.noarch


How reproducible:
always

Steps to Reproduce:
1. run ovn ci job
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Jakub Libosvar 2018-04-11 13:59:02 UTC
I'll triage this one

Comment 4 Bernard Cafarelli 2018-04-12 15:38:27 UTC
Looks like this is caused by bug 1566148?

Comment 5 Assaf Muller 2018-04-18 13:49:17 UTC

*** This bug has been marked as a duplicate of bug 1566148 ***


Note You need to log in before you can comment on or make changes to this bug.